:root {
    --footer-text-color: #555b6e;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    font-family: "Poppins", sans-serif;
}

body {
    background-color: #282f3d;
}

.btn {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 10px 25px;
    gap: 10px;
    border: 1px solid transparent;
    border-radius: 8px;
    text-decoration: none;
    font-weight: 600;
    cursor: pointer;
    transition: background-color 0.2s ease;
}

.btn.sm {
    font-weight: 500;
    font-size: 15px;
    padding: 8px 20px;
}

.btn.primary {
    box-shadow: 0 0 25px oklch(0.68 0.06 270 / 0.4);
    background-color: #8a97be;
    color: #282f3d;
}

.btn.primary:hover {
    background-color: #7384a8;
}

.btn.secondary {
    border-color: #343e50;
    color: #d2d2d2;
    background-color: #2f3747;
    font-weight: 500 !important;
}

.btn.secondary:hover {
    background-color: #3a4558;
}

.btns {
    display: flex;
    gap: 20px;
    margin-top: 20px;
}

.card {
    background-color: #2f3747;
    border-radius: 12px;
    overflow: hidden;
    border: 1px solid #364053;
    box-shadow: 0 0 20px oklch(0.68 0.06 270 / 0.1);
    padding: 15px;
}

/* Nav */
nav {
    border-bottom: 1px solid #343e50;
    padding: 10px 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

nav .logo {
    display: flex;
    gap: 10px;
    align-items: center;
    font-size: 20px;
    font-weight: 600;
    color: #ececec;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 2px;
}

nav .logo img {
    height: 40px;
    width: auto;
    border-radius: 8px;
}

nav ul {
    list-style: none;
    display: flex;
    gap: 20px;
    align-items: center;
}

nav ul li a {
    color: #aaacb0;
    text-decoration: none;
    transition: color 0.2s ease;
}

nav ul li a:hover {
    color: #8a97be;
}

/* Header */
header {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10rem 0;
    border-bottom: 1px solid #343e50;
    flex-direction: column;
    gap: 20px;
}

header img {
    filter: drop-shadow(0 0 40px oklch(0.68 0.06 270 / 0.5));
    height: 150px;
    width: auto;
}

header h1 {
    text-shadow: 0 0 30px oklch(0.68 0.06 270 / 0.6);
    color: #ececec;
    font-size: 5rem;
    letter-spacing: 4px;
    text-align: center;
    text-transform: uppercase;
    font-weight: 500;
    /* transform: scale(1, 0.8); */
}

header p {
    color: #aaacb0;
    font-size: 1.4rem;
    max-width: 600px;
    text-align: center;
    font-weight: 400;
}

/* Footer */
footer {
    color: var(--footer-text-color);
    text-align: center;
    padding: 20px;
    font-size: 0.9rem;
}

footer a {
    color: var(--footer-text-color);
    text-decoration: none;
}

/* Sections */
section {
    padding: 5rem 2rem;
    display: flex;
    flex-direction: column;
    border-bottom: 1px solid #343e50;
}

section h2 {
    color: #ececec;
    font-size: 3rem;
    font-weight: 500;
    text-align: center;
    margin-bottom: 10px;
}

section .subtitle {
    color: #aaacb0;
    font-size: 1rem;
    text-align: center;
    max-width: 600px;
    margin: 0 auto 40px auto;
    font-weight: 400;
}

/* Projects */
.projects {
    display: flex;
    gap: 30px;
    flex-wrap: wrap;
    justify-content: center;
}

.project {
    display: flex;
    flex-direction: column;
    transition: border-color 0.2s ease;
    gap: 15px;
    text-decoration: none;
    width: 500px;
}

.project:hover {
    border-color: #5A6580;
}

.project .header {
    display: flex;
    justify-content: space-between;
}

.project .icon-wrapper {
    background-color: #343e50;
    padding: 8px;
    border-radius: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 50px;
    transition: background-color 0.2s ease;
}

.project:hover .icon-wrapper {
    background-color: #3E475B;
}

.project .icon-wrapper i {
    color: #8a97be;
    font-size: 1.75rem;
}

.project .header span {
    background-color: #343e50;
    padding: 5px 10px;
    border-radius: 20px;
    color: #aaacb0;
    font-size: 0.8rem;
    height: fit-content;
}

.project h3 {
    color: #ececec;
    font-size: 1.25rem;
    font-weight: 500;
}

.project p {
    color: #aaacb0;
    font-size: 1rem;
    font-weight: 400;
    flex-grow: 1;
}

.project .tags {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    margin-top: 10px;
}

.project .tags span {
    border: 1px solid #5A6580;
    border-radius: 20px;
    padding: 4px 8px;
    color: #aaacb0;
    font-size: 0.8rem;
}

/* About */
.skills {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    justify-content: center;
    max-width: 800px;
    margin: 0 auto;
}

.skill {
    flex: 1;
    min-width: 150px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

.skill i {
    font-size: 3rem;
    color: #8a97be;
}

.skill h3 {
    color: #ececec;
    font-size: 1.2rem;
    font-weight: 500;
}

.skill p {
    color: #777F98;
    font-size: .9rem;
    text-align: center;
    font-weight: 400;
}

/* Contact */
#contact .btns {
    margin: 0 auto;
    flex-wrap: wrap;
    width: 100%;
    justify-content: center;
}

/* Project Header */
.project-header {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 100%;
}

.project-header .project-info {
    display: flex;
    align-items: start;
    gap: 20px;
}

.project-header .project-info .details {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.project-header .icon-wrapper {
    background-color: #343e50;
    padding: 8px;
    border-radius: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100px;
    height: 100px;
    flex-shrink: 0;
}

.project-header .icon-wrapper i {
    color: #8a97be;
    font-size: 2.75rem;
}

.project-header .state {
    background-color: #343e50;
    padding: 5px 10px;
    border-radius: 20px;
    color: #aaacb0;
    font-size: 0.8rem;
    width: fit-content;
}

.project-header h1 {
    color: #ececec;
    font-size: 2.25rem;
    font-weight: 500;
}

.project-header .description {
    color: #aaacb0;
    font-size: 1.15rem;
    font-weight: 400;
    flex-grow: 1;
}

.project-header .stats {
    display: flex;
    align-items: center;
    gap: 20px;
    width: fit-content;
}

.project-header .stats p {
    display: flex;
    gap: 5px;
    align-items: center;
    color: #ececec;
}

.project-header .stats p i {
    color: #8a97be;
}

.project-header .tags {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    margin-top: 10px;
}

.project-header .tags span {
    border: 1px solid #5A6580;
    border-radius: 20px;
    padding: 4px 8px;
    color: #aaacb0;
    font-size: 0.8rem;
}

.project-header .btns {
    width: 100%;
}

.project-header .btns .btn {
    width: 100%;
}

/* Project About */
.project-about {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    justify-content: center;
    max-width: 800px;
    margin: 0 auto;
}

.project-about .card {
    flex: 1;
    min-width: 150px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.project-about .card .header {
    display: flex;
    align-items: center;
    gap: 10px;
}

.project-about .card i {
    font-size: 1.2rem;
    color: #8a97be;
}

.project-about h3 {
    color: #ececec;
    font-size: 1.2rem;
    font-weight: 500;
}

.project-about ul {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin-left: 20px;
}

.project-about li {
    color: #aaacb0;
    font-size: .9rem;
    font-weight: 400;
}

.project-about li::marker {
    color: #8a97be;
}
